Subject: Re: [PATCH] fetch-pack: do not mix --pack_header and packfile uri

From: Junio C Hamano <[email-masked]>
Date: Mon, 08 Mar 2021 11:34:33 -0800

Jonathan Tan <[email-masked]> writes:

>> I dunno how involved the necessary surgery would be, though.  If
>> this is easy to work around, perhaps it might be a better option for
>> the overall project to ship the upcoming release with this listed as
>> a known breakage.
>
> I don't think it's too difficult - I think we'll only need to filter out
> the --pack_header when we figure out the arguments to pass for the
> packfiles given by URI. I'll take a look.

What you sent earlier is a much better band-aid than "keep the
single args array but filter an element out in only one codepath"
band-aid, I would think.

Any change that is more involved than a single-liner trivial bugfix
would be too late for this cycle, as we'd be cutting -rc2 by the end
of tomorrow.

Thanks.